## Update Prefix Description `client.addressing.prefixes.edit(stringprefixId, PrefixEditParamsparams, RequestOptionsoptions?): Prefix` **patch** `/accounts/{account_id}/addressing/prefixes/{prefix_id}` Modify the description for a prefix owned by the account. ### Parameters - `prefixId: string` Identifier of an IP Prefix. - `params: PrefixEditParams` - `account_id: string` Path param: Identifier of a Cloudflare account. - `description: string` Body param: Description of the prefix. ### Returns - `Prefix` - `id?: string` Identifier of an IP Prefix. - `account_id?: string` Identifier of a Cloudflare account. - `advertised?: boolean | null` Prefix advertisement status to the Internet. This field is only not 'null' if on demand is enabled. - `advertised_modified_at?: string | null` Last time the advertisement status was changed. This field is only not 'null' if on demand is enabled. - `approved?: string` Approval state of the prefix (P = pending, V = active). - `asn?: number` Autonomous System Number (ASN) the prefix will be advertised under. - `cidr?: string` IP Prefix in Classless Inter-Domain Routing format. - `created_at?: string` - `delegate_loa_creation?: boolean` Whether Cloudflare is allowed to generate the LOA document on behalf of the prefix owner. - `description?: string` Description of the prefix. - `irr_validation_state?: string` State of one kind of validation for an IP prefix. - `loa_document_id?: string | null` Identifier for the uploaded LOA document. - `modified_at?: string` - `on_demand_enabled?: boolean` Whether advertisement of the prefix to the Internet may be dynamically enabled or disabled. - `on_demand_locked?: boolean` Whether advertisement status of the prefix is locked, meaning it cannot be changed. - `ownership_validation_state?: string` State of one kind of validation for an IP prefix. - `ownership_validation_token?: string` Token provided to demonstrate ownership of the prefix. - `rpki_validation_state?: string` State of one kind of validation for an IP prefix. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const prefix = await client.addressing.prefixes.edit('2af39739cc4e3b5910c918468bb89828', { account_id: '258def64c72dae45f3e4c8516e2111f2', description: 'Internal test prefix', }); console.log(prefix.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "2af39739cc4e3b5910c918468bb89828", "account_id": "258def64c72dae45f3e4c8516e2111f2", "advertised": true, "advertised_modified_at": "2014-01-01T05:20:00.12345Z", "approved": "P", "asn": 13335, "cidr": "192.0.2.0/24", "created_at": "2014-01-01T05:20:00.12345Z", "delegate_loa_creation": true, "description": "Internal test prefix", "irr_validation_state": "pending", "loa_document_id": "d933b1530bc56c9953cf8ce166da8004", "modified_at": "2014-01-01T05:20:00.12345Z", "on_demand_enabled": true, "on_demand_locked": false, "ownership_validation_state": "pending", "ownership_validation_token": "1234a5b6-1234-1abc-12a3-1234a5b6789c", "rpki_validation_state": "pending" } } ```